<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

$profile_id = gigneo_active_profile_id();
$args       = array(
	'profile_id' => $profile_id,
);

?>
<div id="gn-account-management" class="gn-dashboard-section gn-account-management">
	<div class="gn-head">
		<h3 class="gn-title"><?php echo esc_html__( 'Account management', 'gigneo' ); ?></h3>
	</div>
	<div class="gn-body">
		<?php
		//Online status
		gigneo_load_template( 'dashboard/setting/parts/account/online-status', false, $args );

		//Timezone
		do_action( 'gigneo_dashboard_account_management_timezone', $args );

		// Identity Verification
		do_action( 'gigneo_dashboard_account_management_settings', $args );

		// Vacation mode
		do_action( 'gigneo_dashboard_account_management_vacation_mode', $args );

		//Deactivate account
		gigneo_load_template( 'dashboard/setting/parts/account/deactivate', false, $args );

		//Close account
		gigneo_load_template( 'dashboard/setting/parts/account/close', false, $args );
		?>
	</div>
</div>